curl --request GET \
--url https://api.attio.com/v2/{target}/{identifier}/attributes/{attribute}/statuses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/{target}/{identifier}/attributes/{attribute}/statuses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/{target}/{identifier}/attributes/{attribute}/statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96",
"status_id": "11f07f01-c10f-4e05-a522-33e050bc52ee"
},
"title": "In Progress",
"is_archived": false,
"celebration_enabled": false,
"target_time_in_status": "P0Y0M1DT0H0M0S"
}
]
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "Attribute with slug/ID \"my_attribute\" not found."
}List statuses
Lists all statuses for a particular status attribute on either an object or a list.
When target is objects, the required scopes are object_configuration:read. When target is lists, the required scopes are list_configuration:read.
Supported token levels: workspace, user.
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Path Parameters
Whether the attribute is on an object or a list.
lists, objects "lists"
A UUID or slug to identify the object or list the status attribute belongs to.
"33ebdbe9-e529-47c9-b894-0ba25e9c15c0"
A UUID or slug to identify the attribute you want to list statuses on.
"41252299-f8c7-4b5e-99c9-4ff8321d2f96"
Query Parameters
true if you want the results to include archived statuses. See our archiving guide for more information on archiving.
true
Response
Success
Success
Show child attributes
Show child attributes
Was this page helpful?